- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: afcf8541-a069-4a5a-9421-a74380e15788
    creation_time: 2023-02-17T13:42:32.392697Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps2-ll.c
      input_file_hashes:
        c/nla-digbench/ps2-ll.c: 179b0134270d97f57074f9ac11d0788729a2f9ba65b60cccc5fdcd06091925db
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps2-ll.c
    file_hash: 179b0134270d97f57074f9ac11d0788729a2f9ba65b60cccc5fdcd06091925db
    line: 28
    column: 0
    function: main
  loop_invariant:
    string: y * y - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6de566a6-3978-41ce-99f3-cdd08dcff7ed
    creation_time: 2023-02-17T13:42:32.393114Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps2-ll.c
      input_file_hashes:
        c/nla-digbench/ps2-ll.c: 179b0134270d97f57074f9ac11d0788729a2f9ba65b60cccc5fdcd06091925db
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps2-ll.c
    file_hash: 179b0134270d97f57074f9ac11d0788729a2f9ba65b60cccc5fdcd06091925db
    line: 28
    column: 0
    function: main
  location_invariant:
    string: y * y - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6778979b-0ec4-48ec-83e2-a0754d6e577a
    creation_time: 2023-02-17T13:42:32.393211Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps2-ll.c
      input_file_hashes:
        c/nla-digbench/ps2-ll.c: 179b0134270d97f57074f9ac11d0788729a2f9ba65b60cccc5fdcd06091925db
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps2-ll.c
    file_hash: 179b0134270d97f57074f9ac11d0788729a2f9ba65b60cccc5fdcd06091925db
    line: 37
    column: 0
    function: main
  location_invariant:
    string: y * y - 2 * x + y == 0
    type: assertion
    format: C

